# Interface methods for submodule: MaskedRankImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import MovingHistogramImageFilterBaseProxy as _MovingHistogramImageFilterBaseProxy


# Interface methods for class: MaskedRankImageFilter
class MaskedRankImageFilterProxy(_MovingHistogramImageFilterBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetMaskImage(self, input) -> None:
		""""""
		...

	def GetMaskImage(self):
		""""""
		...

	def SetInput1(self, input) -> None:
		""""""
		...

	def SetInput2(self, input) -> None:
		""""""
		...

	def GetOutputMask(self):
		""""""
		...

	def AllocateOutputs(self) -> None:
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

	@overload
	def SetFillValue(self, _arg: float) -> None:
		""""""
		...

	@overload
	def SetFillValue(self, _arg: int) -> None:
		""""""
		...

	@overload
	def GetFillValue(self) -> float:
		""""""
		...

	@overload
	def GetFillValue(self) -> int:
		""""""
		...

	def SetMaskValue(self, _arg: int) -> None:
		""""""
		...

	def GetMaskValue(self) -> int:
		""""""
		...

	def SetBackgroundMaskValue(self, _arg: int) -> None:
		""""""
		...

	def GetBackgroundMaskValue(self) -> int:
		""""""
		...

	def SetGenerateOutputMask(self, arg0: bool) -> None:
		""""""
		...

	def GetGenerateOutputMask(self) -> bool:
		""""""
		...

	def GenerateOutputMaskOn(self) -> None:
		""""""
		...

	def GenerateOutputMaskOff(self) -> None:
		""""""
		...

	def ConfigureHistogram(self, arg0) -> None:
		""""""
		...

	def SetRank(self, _arg: float) -> None:
		""""""
		...

	def GetRank(self) -> float:
		""""""
		...

	def GetUseVectorBasedAlgorithm(self) -> bool:
		""""""
		...

